> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Smart Links (/api-reference/smart-links/list-smart-links)

List all Smart Links

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/smart-links
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/smart-links:
    get:
      summary: List Smart Links
      operationId: listSmartLinks
      description: List all Smart Links
      parameters:
        - in: query
          name: limit
          description: The number of Smart Links to return. Default `50`. Must be at least
            1. Must not be greater than 1000.
          example: 50
          required: false
          schema:
            type: integer
            description: The number of Smart Links to return. Default `50`. Must be at least
              1. Must not be greater than 1000.
            example: 50
        - in: query
          name: offset
          description: The offset used for pagination. Default `0`. Must be at least 0.
          example: 0
          required: false
          schema:
            type: integer
            description: The offset used for pagination. Default `0`. Must be at least 0.
            example: 0
        - in: query
          name: name
          description: Filter Smart Links by name. Must not be greater than 255 characters.
          example: Instagram
          required: false
          schema:
            type: string
            description: Filter Smart Links by name. Must not be greater than 255
              characters.
            example: Instagram
            nullable: true
        - in: query
          name: account_ids
          description: Comma-separated account prefixed IDs to include.
          example: acct_abc123,acct_def456
          required: false
          schema:
            type: string
            description: Comma-separated account prefixed IDs to include.
            example: acct_abc123,acct_def456
            nullable: true
        - in: query
          name: meta_pixel_ids
          description: Comma-separated Meta Pixel IDs to include.
          example: 1,2
          required: false
          schema:
            type: string
            description: Comma-separated Meta Pixel IDs to include.
            example: 1,2
            nullable: true
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: 01JCZWQJZXQJZXQJZXQJZXQJZX
                      name: Instagram Bio Link
                      link_type: free_trial
                      traffic_redirect_url: https://trk.of-traffic.com/go/01JCZWQJZXQJZXQJZXQJZXQJZX
                      free_trial_days: 7
                      clicks_count: 150
                      conversions_count: 45
                      subscribers_count: 30
                      spenders_count: 12
                      revenue: "1250.00"
                      cost:
                        inputMode: null
                        inputValue: null
                        perSub: null
                        perClick: null
                        perPromo: null
                        subscriberSourceCount: 30
                        clickSourceCount: 150
                      account:
                        id: acct_XXXXXXXX
                        display_name: Example Creator
                        username: examplecreator
                      created_at: 2025-01-15T10:30:00+00:00
                      updated_at: 2025-01-15T10:30:00+00:00
                    - id: 01JCZWQJZXQJZXQJZXQJZXQJZY
                      name: Twitter Promo
                      link_type: tracking_link
                      traffic_redirect_url: https://trk.of-traffic.com/go/01JCZWQJZXQJZXQJZXQJZXQJZY
                      free_trial_days: null
                      clicks_count: 320
                      conversions_count: 89
                      subscribers_count: 65
                      spenders_count: 24
                      revenue: "2450.50"
                      cost:
                        inputMode: null
                        inputValue: null
                        perSub: null
                        perClick: null
                        perPromo: null
                        subscriberSourceCount: 65
                        clickSourceCount: 320
                      account:
                        id: acct_XXXXXXXX
                        display_name: Example Creator
                        username: examplecreator
                      created_at: 2025-01-10T08:15:00+00:00
                      updated_at: 2025-01-10T08:15:00+00:00
                  _meta:
                    _credits:
                      used: 0
                      balance: 999999985
                      note: Free endpoint
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 10000000
                      limit_day: 50000
                      remaining_minute: 9999998
                      remaining_day: 49988
                properties:
                  data:
                    type: array
                    example:
                      - id: 01JCZWQJZXQJZXQJZXQJZXQJZX
                        name: Instagram Bio Link
                        link_type: free_trial
                        traffic_redirect_url: https://trk.of-traffic.com/go/01JCZWQJZXQJZXQJZXQJZXQJZX
                        free_trial_days: 7
                        clicks_count: 150
                        conversions_count: 45
                        subscribers_count: 30
                        spenders_count: 12
                        revenue: "1250.00"
                        cost:
                          inputMode: null
                          inputValue: null
                          perSub: null
                          perClick: null
                          perPromo: null
                          subscriberSourceCount: 30
                          clickSourceCount: 150
                        account:
                          id: acct_XXXXXXXX
                          display_name: Example Creator
                          username: examplecreator
                        created_at: 2025-01-15T10:30:00+00:00
                        updated_at: 2025-01-15T10:30:00+00:00
                      - id: 01JCZWQJZXQJZXQJZXQJZXQJZY
                        name: Twitter Promo
                        link_type: tracking_link
                        traffic_redirect_url: https://trk.of-traffic.com/go/01JCZWQJZXQJZXQJZXQJZXQJZY
                        free_trial_days: null
                        clicks_count: 320
                        conversions_count: 89
                        subscribers_count: 65
                        spenders_count: 24
                        revenue: "2450.50"
                        cost:
                          inputMode: null
                          inputValue: null
                          perSub: null
                          perClick: null
                          perPromo: null
                          subscriberSourceCount: 65
                          clickSourceCount: 320
                        account:
                          id: acct_XXXXXXXX
                          display_name: Example Creator
                          username: examplecreator
                        created_at: 2025-01-10T08:15:00+00:00
                        updated_at: 2025-01-10T08:15:00+00:00
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: 01JCZWQJZXQJZXQJZXQJZXQJZX
                        name:
                          type: string
                          example: Instagram Bio Link
                        link_type:
                          type: string
                          example: free_trial
                        traffic_redirect_url:
                          type: string
                          example: https://trk.of-traffic.com/go/01JCZWQJZXQJZXQJZXQJZXQJZX
                        free_trial_days:
                          type: integer
                          example: 7
                        clicks_count:
                          type: integer
                          example: 150
                        conversions_count:
                          type: integer
                          example: 45
                        subscribers_count:
                          type: integer
                          example: 30
                        spenders_count:
                          type: integer
                          example: 12
                        revenue:
                          type: string
                          example: "1250.00"
                        cost:
                          type: object
                          properties:
                            inputMode:
                              type: string
                              example: null
                              nullable: true
                            inputValue:
                              type: string
                              example: null
                              nullable: true
                            perSub:
                              type: string
                              example: null
                              nullable: true
                            perClick:
                              type: string
                              example: null
                              nullable: true
                            perPromo:
                              type: string
                              example: null
                              nullable: true
                            subscriberSourceCount:
                              type: integer
                              example: 30
                            clickSourceCount:
                              type: integer
                              example: 150
                        account:
                          type: object
                          properties:
                            id:
                              type: string
                              example: acct_XXXXXXXX
                            display_name:
                              type: string
                              example: Example Creator
                            username:
                              type: string
                              example: examplecreator
                        created_at:
                          type: string
                          example: 2025-01-15T10:30:00+00:00
                        updated_at:
                          type: string
                          example: 2025-01-15T10:30:00+00:00
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 0
                          balance:
                            type: integer
                            example: 999999985
                          note:
                            type: string
                            example: Free endpoint
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 10000000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 9999998
                          remaining_day:
                            type: integer
                            example: 49988
      tags:
        - Smart Links
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````